LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Mobile
User Name
Password
Linux - Mobile This forum is for the discussion of all topics relating to Mobile Linux. This includes Android, Tizen, LiMo, Maemo, MeeGo, Openmoko, Ubuntu Mobile, WebOS, Firefox OS, Open Mobile Alliance and other similar projects and products.
A reminder that LQ now has a dedicated Android sister site: AndroidQuestions.org

Notices

Reply
 
Search this Thread
Old 04-01-2014, 06:49 PM   #1
charlemagne-is-my-son
Member
 
Registered: Dec 2012
Posts: 47

Rep: Reputation: Disabled
Trouble installing libmtp 1.1.6 to make xperia s recognized by Ubuntu 12.04


I want my Ubuntu 12.04 to recognize my Sony Xperia S LT26i phone when it plugs in. qlix and gmtp fail. I am following the suggestion posted here. I am trying the 4th answer provided, by Sid.

I tried to install the latest version of libmtp downloaded from sourceforge via tarball. Following the INSTALL file attached below, I ran ./configure, but make fails:

Code:
checking for LIBUSB... no
checking for openusb_init in -lopenusb... no
checking for LIBUSB... no
checking for usb_open in -lusb... no
configure: error: *** libusb not found! (missing -dev/-devel package?) ***\n*** prefer to install libusb-1 if you can! ***
matt@matt-NV57H:~/Downloads/libmtp-1.1.6$ make
make: *** No targets specified and no makefile found.  Stop.
But when I check my package manager, I already have a version of libusb installed.

What to do?
Attached Files
File Type: txt INSTALL.txt (11.0 KB, 0 views)

Last edited by charlemagne-is-my-son; 04-01-2014 at 06:56 PM. Reason: left out important info
 
Old 04-02-2014, 12:26 PM   #2
gengisdave
Member
 
Registered: Dec 2013
Location: Turin, Italy
Distribution: slackware
Posts: 269

Rep: Reputation: 53
search for libusb-devel
 
Old 04-02-2014, 12:29 PM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,557

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
Quote:
I already have a version of libusb installed.
The package "libusb" is not the complete libusb that you need to compile.

Please do : $ sudo apt-get install libusb-1.0-0-dev libusb-dev
 
  


Reply

Tags
mtp


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Sony's Xperia Tablet Z Can Really Make a Splash LXer Syndicated Linux News 0 02-25-2013 11:21 PM
Updating software in Ubuntu 11.1 --make this CD-ROM recognized by APT unome Linux - Software 1 11-28-2011 07:00 PM
Trouble installing GSM device driver using 'make' on Ubuntu 8.04, 2.6.24-19-lpia stephend Linux - Hardware 0 03-20-2009 03:02 PM
Trouble with libmtp connecting to Creative Zen Vision:M on OpenSUSE 10.3 K3V!N Linux - Hardware 7 04-10-2008 05:42 PM
libusb dependancy error when installing libmtp schneidz Linux - Software 5 01-11-2007 12:40 PM


All times are GMT -5. The time now is 11:54 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration